mod cm108;

use cm108::*;

fn main() {
	let cm108 = find_cm108_device().expect("Could not find CM108 device");

	let args: Vec<_> = std::env::args().collect();
	if args.len() < 2 {
		help(&args[0]);
		return;
	}
	let gpio = match args[1].to_lowercase().as_str() {
		"on" => true,
		"off" => false,
		_ => {
			help(&args[0]);
			return;
		}
	};

	cm108.set_all_gpio(gpio).unwrap();
}

fn help(arg: &str) {
	println!("Usage: {} [on | off]", arg);
}
